%define	name	kronolith
%define	version	1.1
%define	release	3mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	The Horde calendar application
License:	LGPL
Group:		System/Servers
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-mdk.conf.bz2
URL:		http://www.horde.org/kronolith/
Requires:	horde >= 2.2.1
Requires:	mod_php >= 4.3.0
Provides:	ADVXpackage
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Kronolith is the Horde calendar application. It provides a stable and
featureful individual calendar system for every Horde user, and
collaboration/scheduling features are starting to take shape. It makes
extensive use of the Horde Framework to provide integration with other
applications.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
%ADVXinstconf %{SOURCE1} %{order}_%{name}.conf

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/po

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README COPYING docs
# Apache configuration file
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{name}
%{ap_htdocsdir}/horde/%{name}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{name}/graphics
%{ap_htdocsdir}/horde/%{name}/lib
%{ap_htdocsdir}/horde/%{name}/scripts
%{ap_htdocsdir}/horde/%{name}/templates
%{ap_htdocsdir}/horde/%{name}/util
# config files
%dir %{ap_htdocsdir}/horde/%{name}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.php
# localisation files
%dir %{ap_htdocsdir}/horde/%{name}/locale
%lang(bg_BG) %{ap_htdocsdir}/horde/%{name}/locale/bg_BG
%lang(cs_CZ) %{ap_htdocsdir}/horde/%{name}/locale/cs_CZ
%lang(da_DK) %{ap_htdocsdir}/horde/%{name}/locale/da_DK
%lang(de_DE) %{ap_htdocsdir}/horde/%{name}/locale/de_DE
%lang(el_GR) %{ap_htdocsdir}/horde/%{name}/locale/el_GR
%lang(en_US) %{ap_htdocsdir}/horde/%{name}/locale/en_US
%lang(es_ES) %{ap_htdocsdir}/horde/%{name}/locale/es_ES
%lang(fi_FI) %{ap_htdocsdir}/horde/%{name}/locale/fi_FI
%lang(fr_FR) %{ap_htdocsdir}/horde/%{name}/locale/fr_FR
%lang(hu_HU) %{ap_htdocsdir}/horde/%{name}/locale/hu_HU
%lang(it_IT) %{ap_htdocsdir}/horde/%{name}/locale/it_IT
%lang(ko_KR) %{ap_htdocsdir}/horde/%{name}/locale/ko_KR
%lang(lt_LT) %{ap_htdocsdir}/horde/%{name}/locale/lt_LT
%lang(nb_NO) %{ap_htdocsdir}/horde/%{name}/locale/nb_NO
%lang(nl_NL) %{ap_htdocsdir}/horde/%{name}/locale/nl_NL
%lang(nn_NO) %{ap_htdocsdir}/horde/%{name}/locale/nn_NO
%lang(pl_PL) %{ap_htdocsdir}/horde/%{name}/locale/pl_PL
%lang(pt_BR) %{ap_htdocsdir}/horde/%{name}/locale/pt_BR
%lang(ro_RO) %{ap_htdocsdir}/horde/%{name}/locale/ro_RO
%lang(ru_RU) %{ap_htdocsdir}/horde/%{name}/locale/ru_RU
%lang(ru_RU.KOI8-R) %{ap_htdocsdir}/horde/%{name}/locale/ru_RU.KOI8-R
%lang(sk_SK) %{ap_htdocsdir}/horde/%{name}/locale/sk_SK
%lang(sv_SE) %{ap_htdocsdir}/horde/%{name}/locale/sv_SE
%lang(zh_CN) %{ap_htdocsdir}/horde/%{name}/locale/zh_CN
%lang(zh_TW) %{ap_htdocsdir}/horde/%{name}/locale/zh_TW

%changelog
* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1-3mdk
- first mdk release
